diff --git a/apps/ca.c b/apps/ca.c
index 551d0aa2f8c3..9b1d9bdaac8f 100644
--- a/apps/ca.c
+++ b/apps/ca.c
@@ -663,6 +663,10 @@ int ca_main(int argc, char **argv)
                 goto end;
             }
         }
+        if (pp[DB_name][0] == '\0') {
+            BIO_printf(bio_err, "entry %d: bad Subject\n", i + 1);
+            goto end;
+        }
     }
     if (verbose) {
         TXT_DB_write(bio_out, db->db);
